Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.schema
Class CamelCaseTableNameConverter

    java.lang.Object
      net.java.ao.schema.AbstractTableNameConverter
          net.java.ao.schema.CamelCaseTableNameConverter

All Implemented Interfaces:
  TableNameConverter

    public class CamelCaseTableNameConverter

extends AbstractTableNameConverter

Imposes a standard camelCase convention upon table names. This will convert entity names in the following way:

Entity Name | Table Name
`Person` | person
`LicenseRegistration` | licenseRegistration
`Volume4` | volume4
`Company` | company

This is the default table name converter for ActiveObjects.

Author:
  Daniel Spiewak

Constructor Summary
`CamelCaseTableNameConverter()`

Method Summary
`protected String` | `convertName(Class<? extends RawEntity<?>> type)` Performs the actual operation of converting a class type into a proper table name.

Methods inherited from class net.java.ao.schema.AbstractTableNameConverter
`addClassMapping, addClassMappings, addPatternMapping, addPatternMappings, getName, postProcessName, processName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CamelCaseTableNameConverter

    public CamelCaseTableNameConverter()

Method Detail

### convertName

    protected String convertName(Class<? extends RawEntity<?>> type)

  Description copied from class: `AbstractTableNameConverter`

  Performs the actual operation of converting a class type into a proper table name. This method need not concern itself with particulars of `@Table` annotations or pattern mappings. All of these things are handled in the `AbstractTableNameConverter.getName(Class)` method in the superclass implementation.

  This method must run as fast as possible and should be thread-safe. If necessary, caching may be employed, but it is also within scope for such caching to be utilized within the superclass. As such, the implementation of this method should be kept extremely simple. Also note that this method may not be called for every entity type which must be converted (due to mappings, `@Table` overrides, etc).

  Specified by:
    `convertName` in class `AbstractTableNameConverter`
  Parameters:
    `type` - The entity type which must be converted.
  Returns:
    The unique table name which corresponds to the given type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.